/// <reference types="html-minifier" />
import { Options } from "html-minifier";
/**
 * 强大的字符串处理工具
 */
export declare class LarkString {
    static pad(n: number, str: any): string;
    static trim(str: any): any;
    static left: (str: any) => any;
    static right: (str: any) => any;
    static subString(str: string, start: string, end: string): string;
    /**
     * 是否为全字母字符串，不含数字空格等一切非字母
     * @param str
     */
    static isAllEnglishCharacter(str: string): boolean;
    /**
     * 是否为全小写字母字符串
     * @param str 需要判断的字符串
     * @param length 是否判断长度
     */
    static isAllLowerCaseCharacter(str: string, length?: number | {
        min: number;
        max: number;
    }): boolean;
    /**
     * 是否为sha1字符串
     * 特征 全字母+数字 40位长度
     */
    static isSHA1(str: string): boolean;
    /**
     * 是否为全大写字母字符串
     */
    /**
     * 是否为全中文
     */
    /**
     * 是否为全字母数字下划线字符串，非数字开头，不区分大小写
     */
    /**
     * 是否含有空格
     * @param str
     */
    static hasSpace(str: string): boolean;
    static isString(str: string): boolean;
    /**
     * markdown转html功能
     * @param markdown md
     */
    static markdownToHTML(markdownText: string): any;
    static HTMLToMarkdown(): void;
    /**
     * 清除HTML片段里面的空格之类的
     */
    static cleanHTML(html: string, options?: Options): string;
}
